Subject: bug#27212: closed (Re: bug#27212: 203a9455c4695152fc5d0085bffeead9ce3216c2 broke system boot)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Jun 2017 11:16:02 +0000

Your bug report

#27212: 203a9455c4695152fc5d0085bffeead9ce3216c2 broke system boot

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27212: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27212
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27212: 203a9455c4695152fc5d0085bffeead9ce3216c2 broke system boot
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sun, 4 Jun 2017 11:14:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

ng0 transcribed 0.5K bytes:
> Otherwise perfectly working systems I have *all* break after
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=203a9455c4695152fc5d0085bffeead9ce3216c2
> 
> and the last thing  they display before guile repl is the
> message in that commit.
> 
> Yes, I use labels. No, I don't use complicated setups.
> Please test such changes before applying them in the wild..
> I just hope this happened here and the break is a mistake.
> -- 
> ng0
> OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588

Okay, this has been fixed. Thanks!
I just booted into a functional generation.

I'm closing this bug, in the future let's come up
with ideas how to prevent this.
It is not good PR to collectively send everyone into
the guile repl.

I started discussing about solutions to this offline already
and in other channels.

Thanks!
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588

Subject: 203a9455c4695152fc5d0085bffeead9ce3216c2 broke system boot
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sat, 3 Jun 2017 16:53:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Otherwise perfectly working systems I have *all* break after
https://git.savannah.gnu.org/cgit/guix.git/commit/?id=203a9455c4695152fc5d0085bffeead9ce3216c2

and the last thing  they display before guile repl is the
message in that commit.

Yes, I use labels. No, I don't use complicated setups.
Please test such changes before applying them in the wild..
I just hope this happened here and the break is a mistake.
-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588